package com.rainbow.app.keyboard.mydb

import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import com.rainbow.app.keyboard.App
import com.rainbow.app.keyboard.javabean.DetailsjavaBean


@Database(
    entities = [DetailsjavaBean::class],
    version = App.Companion.DB_VERSION,
    exportSchema = false
)
abstract class DatabBase : RoomDatabase() {

    abstract fun ThemesDao(): DatabDao



    companion object {
        val databBase: DatabBase by lazy {
            Room.databaseBuilder(
                App.Companion.appInstance, DatabBase::class.java,
                App.Companion.DB_NAME
            )
                .fallbackToDestructiveMigration()
                .build()
        }
    }

}